## fcitx 3.6.3

=== debian/changelog ===
fcitx (1:3.6.3-1) unstable; urgency=low

  * new upstream release.
  * change to 3.0 (quilt) format.
  * debian/control:
    - bump standards version to 3.8.4.
    - build depends on debhelper > 7.0.50~
  * debian/patches/binutils-gold.patch: Fix "FTBFS with binutils-gold"
    (Closes: #554282)
  * debian/rules: run autoreconf before configure
  * debian/clean: updated.

 -- LI Daobing <lidaobing@debian.org>  Mon, 22 Feb 2010 21:00:56 +0800

fcitx (1:3.6.2-1) unstable; urgency=low

  * new upstream release.

 -- LI Daobing <lidaobing@debian.org>  Fri, 09 Oct 2009 19:29:06 +0800

fcitx (1:3.6.1-1) unstable; urgency=low

  * new upstream release.
  * debian/control:
    - add me to Uploader.
    - add libxtst-dev to Build-Depends.
    - bump standards version to 3.8.3.
  * debian/rules:
    - updated, no longer need to call autogen.sh
  * debian/clean: updated.

 -- LI Daobing <lidaobing@debian.org>  Thu, 24 Sep 2009 23:03:16 +0800

fcitx (1:3.6.0~rc-0.1) unstable; urgency=low

  * Non-maintainer upload (with the bless of the origin maintainer).
  * new upstream release.
  * debian/watch: rewrite.
  * debian/control:
    - bump standards version to 3.8.1.
    - bump debhelper version to 7.
    - add ${misc:Depends} to depends.
    - add automake and autoconf to build-depends.
  * debian/compat:
    - bump debhelper version to 7.
  * debian/fcitx.lintian-overrides: added.
  * debian/source.lintian-overrides: added. 
  * debian/rules: rewrite with debhelper 7.
  * debian/clean: added. 
  * debian/fcitx.install: added, install im-switch.
  * debian/dirs: remove usr/share/fcitx/xpm.

 -- LI Daobing <lidaobing@debian.org>  Thu, 23 Apr 2009 23:21:13 +0800

fcitx (1:3.4.99+svn163-0ubuntu1) jaunty; urgency=low

  * New upstream svn snapshot, upstream will release
    3.5 soon, so need more feedbacks.
  * Change Homepage to where the project is being hosted now.
  * Replace the old arphic fonts in Recommends.
  * Use QT_IM_MODULE=xim in im-switch conffile.

 -- Zhengpeng Hou <zhengpeng-hou@ubuntu.com>  Sun, 07 Dec 2008 12:30:20 +0000

fcitx (1:3.4.3-1.1) unstable; urgency=low

  * Non-maintainer upload.
  [ LI Daobing ]
  * fix lintian error:
    - build-depends-on-obsolete-package build-depends: x-dev
    - declares-possibly-conflicting-debhelper-compat-versions rules=5 compat=5
  * fix im-switch conf file (Closes: #454363)
  [ Barry deFreese ]
  * Make clean not ignore errors.
  * Add copyright holders in debian/copyright.
  * Add watch file.
  * Add Homepage in source stanza.
  * Bump Standards Version to 3.8.0. (No changes needed).

 -- Barry deFreese <bdefreese@debian.org>  Wed, 19 Nov 2008 12:31:10 -0500

fcitx (1:3.4.3-1) unstable; urgency=medium

  * New upstream release
  * Fixed bad recommends fonts name. (Closes:Bug#379098) 
  * Fixed wubi crash. Thanks for Bin Tian's report and fix. (Closes:Bug#409999)

 -- Yu Guanghui <ygh@debian.org>  Wed,  7 Feb 2007 14:01:15 +0800

fcitx (1:3.4-1) unstable; urgency=low

  * New upstream release

 -- Yu Guanghui <ygh@debian.org>  Fri, 29 Sep 2006 22:12:32 +0800

fcitx (1:3.3.1-1) unstable; urgency=low

  * New upstream release

 -- Yu Guanghui <ygh@debian.org>  Thu, 14 Sep 2006 21:12:01 +0800

fcitx (1:3.2.1-1) unstable; urgency=low

  * New upstream release

 -- Yu Guanghui <ygh@debian.org>  Thu,  6 Jul 2006 01:13:46 +0800

fcitx (3.2.060108-3) unstable; urgency=low

  * Modify fcitx scrip for Qt/KDE  

 -- Yu Guanghui <ygh@debian.org>  Sun, 30 Apr 2006 13:40:34 +0800

fcitx (3.2.060108-2) unstable; urgency=low

  * Add missing dependency libxpm-dev. Closes: #364670 

 -- Yu Guanghui <ygh@debian.org>  Tue, 25 Apr 2006 12:20:52 +0800

fcitx (3.2.060108-1) unstable; urgency=high

  * New upstream release
  * Fixed RC bug. Closes: #357551
  * Add im-switch support. Thank Hou ZhengPeng <zhengpeng.hou@gmail.com>'s
    patch. Closes: #314743
  * Move Arphic fonts to Recommanded. Maybe it's time to packages other
    free chinese fonts. Closes: #293624

 -- Yu Guanghui <ygh@debian.org>  Mon, 24 Apr 2006 22:38:26 +0800

fcitx (3.1.1-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * High-urgency upload for RC bugfix.
  * Build-depend on libx11-dev, libxft-dev, and x-dev instead of on the
    obsolete xlibs-dev; thanks to Justin Pryzby <justinpryzby@users.sf.net>
    for testing.  Closes: #346744.
  * Re-run autoconf to pick up a version of AC_PATH_X that doesn't depend on
    libxt-dev.  Also add AM_MAINTAINER_MODE to configure.in, which seems to
    have been left out previously.

 -- Steve Langasek <vorlon@debian.org>  Fri, 20 Jan 2006 08:03:06 -0800

fcitx (3.1.1-1) unstable; urgency=low

  * New upstream release

 -- Yu Guanghui <ygh@debian.org>  Wed,  6 Apr 2005 16:30:47 +0800

fcitx (3.1-1) unstable; urgency=low

  * New upstream release

 -- Yu Guanghui <ygh@debian.org>  Wed, 23 Mar 2005 16:05:18 +0800

fcitx (3.0.3-1) unstable; urgency=low

  * New upstream release (Closes:Bug#285461)
  * Remove wrong installed file. (Closes:Bug#281718,Bug#284538)

 -- Yu Guanghui <ygh@debian.org>  Sun,  2 Jan 2005 13:50:18 +0800

fcitx (3.0.0-1) unstable; urgency=low

  * New upstream release (Closes:Bug#270422)

 -- Yu Guanghui <ygh@debian.org>  Tue, 7 Sep 2004 21:49:36 +0800

fcitx (2.0.2-3) unstable; urgency=low

  * Sorry, Oops. Forgot one, Fixed again. (Closes:Bug#250423)

 -- Yu Guanghui <ygh@debian.org>  Fri, 11 Jun 2004 01:58:36 +0800

fcitx (2.0.2-2) unstable; urgency=low

  * Fixed 64bit platforms error. Thanks Andreas Jochens <aj at 
    andaco.de>'s patch. (Closes:Bug#250423)

 -- Yu Guanghui <ygh@debian.org>  Thu, 10 Jun 2004 21:37:04 +0800

fcitx (2.0.2-1) unstable; urgency=low

  * New upstream release

 -- Yu Guanghui <ygh@debian.org>  Mon, 10 May 2004 11:14:08 +0800

fcitx (2.0.1-1) unstable; urgency=low

  * New upstream release

 -- Wang WenRui <wangwr@ustc.edu>  Fri,  9 Jan 2004 22:25:38 +0800

fcitx (2.0-1) unstable; urgency=low

  * New upstream release.

 -- Su Yong <yoyosu@ustc.edu.cn>  Thu,  8 Jan 2004 20:19:34 +0800


