=== debian/watch ===
version=3
opts="uversionmangle=s/-rc/~rc/" \
http://code.google.com/p/fcitx/downloads/list \
http://fcitx.googlecode.com/files/fcitx-(.*)\.tar\.bz2
