=== debian/rules ===
#!/usr/bin/make -f

LDFLAGS=-Wl,--as-needed

%:
	dh $@

override_dh_auto_configure:
	./autogen.sh
	dh_auto_configure -- --enable-recording
